#
# spec file for package maven-dependency-tree
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           maven-dependency-tree
Version:        3.0.1
Release:        150200.3.4.3
Summary:        Maven dependency tree artifact
License:        Apache-2.0
Group:          Development/Libraries/Java
URL:            http://maven.apache.org/
Source0:        https://downloads.apache.org/maven/shared/%{name}-%{version}-source-release.zip
Source1:        %{name}-build.xml
BuildRequires:  ant
BuildRequires:  apache-commons-cli
BuildRequires:  atinject
BuildRequires:  fdupes
BuildRequires:  google-guice
BuildRequires:  guava
BuildRequires:  javapackages-local
BuildRequires:  jdom2
BuildRequires:  maven-lib
BuildRequires:  maven-resolver-api
BuildRequires:  maven-resolver-util
BuildRequires:  objectweb-asm
BuildRequires:  plexus-classworlds
BuildRequires:  plexus-cli
BuildRequires:  plexus-containers-component-annotations
BuildRequires:  plexus-metadata-generator
BuildRequires:  plexus-utils
BuildRequires:  qdox
BuildRequires:  sisu-inject
BuildRequires:  sisu-plexus
BuildRequires:  unzip
BuildRequires:  xbean
BuildRequires:  xmvn-install
BuildRequires:  xmvn-resolve
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildArch:      noarch

%description
Apache Maven dependency tree artifact. Originally part of maven-shared.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation/HTML

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
cp %{SOURCE1} build.xml

find -name Maven3DependencyGraphBuilder.java -delete
%pom_remove_dep org.sonatype.aether:

%pom_remove_plugin :apache-rat-plugin

%build
mkdir -p lib
build-jar-repository -s lib \
  atinject \
  commons-cli \
  guice/google-guice-no_aop \
  guava/guava \
  jdom2/jdom2 \
  maven/maven-artifact \
  maven/maven-core \
  maven-resolver/maven-resolver-api \
  maven-resolver/maven-resolver-util \
  objectweb-asm/asm org.eclipse.sisu.inject \
  org.eclipse.sisu.plexus \
  plexus-classworlds \
  plexus/cli \
  plexus-containers/plexus-component-annotations \
  plexus-metadata-generator \
  plexus/utils \
  qdox \
  xbean/xbean-reflect

%{ant} \
  -Dtest.skip=true \
  jar javadoc

%{mvn_artifact} pom.xml target/%{name}-%{version}.jar

%install
%mvn_install
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles
%license LICENSE
%doc NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE
%doc NOTICE

%changelog
* Sun Mar 20 2022 fstrba@suse.com
- Build with java source and target levels 8
* Tue May 11 2021 fstrba@suse.com
- Do not build against the legacy guava20 any more
* Mon Jan  4 2021 jgwang@suse.com
- Update to version 3.0.1
  * Fixed JavaDoc issue for JDK 8
  * maven-dependency-tree removes optional flag from
    managed dependencies
  * Change characters used to diplay trees to make
    relationships clearer
  * Pass source+target to m-invoker-p, easiest way to override
    default values of maven-compiler-plugin
  * Upgrade org.codehaus.plexus:plexus-component-metadata to 1.7.1
* Mon Mar 25 2019 fstrba@suse.com
- Initial packaging of maven-dependency-tree 3.0
- Generate and customize the ant build.xml file
